finley::ReferenceElementInfo Struct Reference

this struct holds the definition of the reference element More...

`#include <ReferenceElements.h>`

## Public Attributes

ElementTypeId | TypeId
| the type More...
const char * | Name
| the name in text form e.g. "Line1", "Rec12", ... More...
int | numNodes
| number of nodes defining the element More...
int | numSubElements
| number of subelements (>1 if macro elements are used) More...
int | numSides
int | offsets [2+1]
ElementTypeId | LinearTypeId
| type id of the linear version of the element More...
int | linearNodes [64 *2]
| stores the list of nodes defining the linear or macro element More...
QuadTypeId | Quadrature
| quadrature scheme More...
ShapeFunctionTypeId | Parametrization
| shape function for parametrization of the element More...
ShapeFunctionTypeId | BasisFunctions
| shape function for the basis functions More...
int | subElementNodes [64 *2 *8]
int | numRelevantGeoNodes
| deprecated More...
int | relevantGeoNodes [64]
int | numNodesOnFace
int | faceNodes [64]
| list of the nodes defining the face More...
int | shiftNodes [64]
| defines a permutation of the nodes which rotates the nodes on the face More...
int | reverseNodes [64]

## Detailed Description

this struct holds the definition of the reference element

## Member Data Documentation

## BasisFunctions

ShapeFunctionTypeId finley::ReferenceElementInfo::BasisFunctions

shape function for the basis functions

Referenced by finley::ReferenceElement::ReferenceElement(), and finley::ReferenceElementSet::ReferenceElementSet().

## faceNodes

int finley::ReferenceElementInfo::faceNodes[64]

list of the nodes defining the face

## linearNodes

int finley::ReferenceElementInfo::linearNodes[64 *2]

stores the list of nodes defining the linear or macro element

## LinearTypeId

ElementTypeId finley::ReferenceElementInfo::LinearTypeId

type id of the linear version of the element

Referenced by finley::ReferenceElement::ReferenceElement().

## Name

const char* finley::ReferenceElementInfo::Name

the name in text form e.g. "Line1", "Rec12", ...

Referenced by finley::FinleyDomain::getVTKElementType().

## numNodes

int finley::ReferenceElementInfo::numNodes

number of nodes defining the element

Referenced by finley::ReferenceElement::ReferenceElement().

## numNodesOnFace

int finley::ReferenceElementInfo::numNodesOnFace

if the element is allowed as a face element, numNodesOnFace defines the number of nodes defining the face

## numRelevantGeoNodes

int finley::ReferenceElementInfo::numRelevantGeoNodes

deprecated

## numSides

int finley::ReferenceElementInfo::numSides

the number of sides the element supports (=2 if contact elements are used, otherwise =1)

## numSubElements

int finley::ReferenceElementInfo::numSubElements

number of subelements (>1 if macro elements are used)

Referenced by finley::ReferenceElement::ReferenceElement().

## offsets

int finley::ReferenceElementInfo::offsets[2+1]

offset to the side nodes: offsets[s]...offsets[s+1]-1 refer to the nodes to be used for side s

## Parametrization

ShapeFunctionTypeId finley::ReferenceElementInfo::Parametrization

shape function for parametrization of the element

Referenced by finley::ReferenceElement::ReferenceElement().

## Quadrature

QuadTypeId finley::ReferenceElementInfo::Quadrature

quadrature scheme

Referenced by finley::ReferenceElement::ReferenceElement().

## relevantGeoNodes

int finley::ReferenceElementInfo::relevantGeoNodes[64]

## reverseNodes

int finley::ReferenceElementInfo::reverseNodes[64]

reverses the order of the nodes on a face. The permutation has to keep 0 fixed.

## shiftNodes

int finley::ReferenceElementInfo::shiftNodes[64]

defines a permutation of the nodes which rotates the nodes on the face

## subElementNodes

int finley::ReferenceElementInfo::subElementNodes[64 *2 *8]

the list of nodes defining the subelements, i.e. subElementNodes[INDEX2(i,s,BasisFunctions->numShape*numSides)] is the i-th node in the s-th subelement

## TypeId

ElementTypeId finley::ReferenceElementInfo::TypeId

the type

Referenced by finley::ReferenceElement::getTypeId().

The documentation for this struct was generated from the following file:

- ReferenceElements.h